About iMochaHelpBook a demo
About iMochaHelpBook a demo
  1. Employee
  • Introduction
  • Skills Assessment API
    • API Reference
      • Getting started
      • API Environment
      • Authentication Mechanism
      • Error Code
      • List timezones
    • Test
      • List all tests
      • Retrieve a test
      • Retrieve test settings
      • Update Test Settings
    • Test Invitations
      • Callback notification
      • Invite candidate
      • Invite candidate by test link
      • Bulk Invite
      • Reattempt Test
      • Cancel Invitation
    • Test Link
      • List all test links
      • Create Test Link
      • Update Test Link
    • Report
      • Retrieve candidate test report
      • Retrieve candidate test report in PDF
      • Get Reports By TestId
      • Get All Reports
    • Callback API
      • Process Callbacks
      • Retrieve Invites
    • GDPR
      • GDPR Data Masking Service
    • Users
      • Get all business units
      • Create New User
      • Update User
      • Active/ Inactive User
    • Tara Interview API
      • Introduction
      • Get All Interviews
      • Schedule Interview
      • Get Detailed Report
      • Get All Reports
  • Skills Intelligence API
    • Introduction
    • Authentication
    • Employee
      • List employees
        GET
      • Get Employee Skills by employeeId
        GET
      • Employee Enrollment
        POST
      • Get Employee Certificates
        GET
      • Update Employee Status
        PATCH
      • Get Employee Assessment Report
        GET
      • Upload Certificate for Employee
        POST
      • Upload Resume for Employee
        POST
      • List Employees with Skills Profile
        GET
      • Assign Learning to Employee
        POST
      • Get Employee Skill Gap
        GET
    • JobProfiles
      • Get All JobProfiles
      • Get JobProfile with Skills By JobProfileId
      • Create JobCode
    • Taxonomy
      • Get all Taxonomy Skills
    • CareerPath
      • Get Employee Career Path by employeeId
    • Account
      • Get Rubric Levels
      • Get Multichannel Validation Weightages
    • Learning
      • Create Learning Resources
      • Get all Learning Resources
    • Certificates
      • Create certificate with skills
      • Get all Certificates
  1. Employee

Get Employee Certificates

GET
/employees/{employeeId}/certificates
Retrieves all certificates associated with a given employee. Optionally, related skills can be included in the response.

Request

Path Params

Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.skillsintelligence.imocha.io/employees//certificates?includeSkills='
Response Response Example
[
  {
    "title": "string",
    "issuer": "string",
    "validTill": "2025-10-01T11:44:03.728Z",
    "uploadedOn": "2025-10-01T11:44:03.728Z",
    "licenseNumber": "string",
    "isStandardCertificate": true,
    "skills": [
      {
        "taxonomySkillId": 0,
        "rating": 0,
        "score": 0,
        "skillName": "string"
      }
    ]
  }
]
Modified at 2025-12-11 14:13:46
Previous
Employee Enrollment
Next
Update Employee Status
Built with